Get mapping by ID

Prev Next
Get
/v1/E2eMapping/{mappingId}

Returns the entity mapping referenced by its unique identifier, including its definition and metadata.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
mappingId
stringRequired

Unique identifier of the entity mapping to retrieve. This value is returned in a 200 response from the GET List entity mappings request or in a 201 response from the POST Create entity mapping request.

Example3f2e4a1c-8d5b-4f7a-a9a1-6e0f1b2c3d4e
Responses
200

Success. Returns the requested entity mapping and its metadata.

404

The entity mapping with the specified ID does not exist.